#version 300 es
precision mediump float;

in vec2 v_originTexCoord;
out vec4 fragColor;

uniform sampler2D uPassTex;
uniform sampler2D uMainTex;

void main() {
    vec4 passTex = texture(uPassTex, v_originTexCoord);
    vec4 mainTex = texture(uMainTex, v_originTexCoord);
    fragColor = mix(passTex, mainTex, mainTex.a);
}
